#include "widget.h"
#include <QApplication>
#include "regwidget.h"
#include "loginwidget.h"
#include "medicalrecordwidget.h"
#include "medicalrecordmanager.h"
#include "hospitalinfo.h"

#include <QWidget>
#include <QGraphicsView>
#include <QGraphicsScene>
#include <QGraphicsPathItem>
#include <QGraphicsPolygonItem>
#include <QGraphicsTextItem>
#include <QPainterPath>
#include <QFont>
#include <QColor>
#include <QPen>


#include <QApplication>
#include <QWidget>
#include <QGraphicsView>
#include <QGraphicsScene>
#include <QGraphicsEllipseItem>
#include <QGraphicsTextItem>
#include <QFont>
#include <qmath.h>
#include "curchatwidget.h"
#include "DevConWidget.h"
#include "framewindow.h"
#include <QStackedWidget>

#include "navlistwidget.h"
#include "framelesswindow.h"

#include "medicalrecordmanager.h"
#include "parametersettingswidget.h"
#include <QCalendarWidget>
#include "datamanager.h"
int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    FrameWindow *mainw  = new FrameWindow;
    FramelessWindow *window = new FramelessWindow(mainw);
    window->resize(300, 400);
    window->showMaximized();

    //a.setStyleSheet("QWidget{background-color:#ffffff;}");
    // a.setStyleSheet("QWidget{background: rgb(47, 61, 82);}");
    QFont globalFont;
    globalFont.setFamily("黑体");
    QApplication::setFont(globalFont);

    DataManager::instance();

 #if   0
    MedicalRecordManager me;
    me.show();

    ParameterSettingsWidget mekl;
    mekl.show();


    HospitalInfo ho;
    ho.show();


    CurChatWidget w;
    w.show();
    RegWidget re;
    re.show();

DevConWidget de;
de.show();



LoginWidget log;
log.show();


MedicalRecordWidget mew;
mew.show();


#endif

QString qss1=R"(
QLineEdit{
border: 1px solid #ABCDA0;      /* 边框宽度为1px，颜色为#A0A0A0 */
border-radius: 3px;         /* 边框圆角 */
padding-left: 5px;           /* 文本距离左边界有5px */
background-color: #F2F2F2;     /* 背景颜色 */
color: #A0A0A0;     /* 文本颜色 */
selection-background-color: #A0A0A0;     /* 选中文本的背景颜色 */
selection-color: #F2F2F2;    /* 选中文本的颜色 */
font-family: "Microsoft YaHei";    /* 文本字体族 */
font-size: 10pt;    /* 文本字体大小 */
}

QLineEdit:hover { /* 鼠标悬浮在QLineEdit时的状态 */
border: 1px solid #298DFF;
border-radius: 3px;
background-color: #F2F2F2;
color: #298DFF;
selection-background-color: #298DFF;
selection-color: #F2F2F2;
}

QLineEdit[echoMode="2"] { /* QLineEdit有输入掩码时的状态 */
lineedit-password-character: 9679;
lineedit-password-mask-delay: 2000;
}

QLineEdit:disabled { /* QLineEdit在禁用时的状态 */
border: 1px solid #CDCDCD;
background-color: #CDCDCD;
color: #B4B4B4;
}

QLineEdit:read-only { /* QLineEdit在只读时的状态 */
background-color: #CDCDCD;
color: #F2F2F2;
}
QTextEdit{  color: black;
             background-color: white; border:1px solid black;
             }
 QPushButton{border:1px solid black;}
  QGroupBox{
                 background-color: #4F4F4F;
                 border: 1px solid #969696;
                 color: rgb(13,157,219);
                 border-radius: 5px;
                 margin-top: 2ex;
             }
             QDateEdit
             {
                 border: 1px solid rgb(22,63,23);
                  color: black;
        }

)";

a.setStyleSheet(qss1);



    return a.exec();
}
